chiark / gitweb /
More error handling: set -e, set -o pipefail
[modbot-ulm.git] / stump / etc / mods-message
index 3d3c4c73d3aa7594e2a2e3e3a9c18f09c9201146..ddc73d6db9e8dbd4b1fa85ab0b0212b5a16fa8bc 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #
 # This script sends an email to a group of people listed in
 # env var RECIPIENTS (we create this var here from etc/moderators)
@@ -7,6 +7,9 @@
 # human moderators of your newsgroup.
 #
 
+set -e
+set -o pipefail
+
 FILTER="NO_$2_LIST";
 
 RECIPIENTS="`cat $MNG_ROOT/etc/moderators \